Subject: RE: Suggestions

From: Tim Showalter <[email-masked]>
Date: Fri, 27 Jun 1997 16:22:58 -0400 (EDT)

On 27 Jun 1997, Paul Vincent Craven wrote:

> On 6/27/97, Tim Showalter wrote:
> >> I'd like to see a "redirect" command added to the basic actions list.
> >
> >What does redirect do?
> 
> Forwarding mail usually changes the "from:" from the original sender to the
> person who is forwarding the mail. Redirect leaves the line alone. So a user
> receiving redirected mail will see the mail as coming from the original sender, not
> the person who redirected it. A user receiving forwarded mail will always have the
> "from" field show the individual who redirected it. Some mail systems also
> prepend a ">" to each line of a forwarded message, but not redirect mail.

Forward is defined (or will be, in the draft) to do just this, that is, what
a .forward file does.  Is the other behavior useful in this case?

> >> Some method where the extension action can reference the text of the 
> >message.
> >> This would allow an extension action to file a message in a database for 
> >example.
> >
> >I'm not sure what you're suggesting.  Are you looking for a way to deal with
> >the insides of a message?
> 
> No, just pass the entire message (or a reference to it) to an external action
> command. This would greatly enhance what extension-actions are capable of doing.
> I usually think of extension actions as being some type of plug-in architecture.

I don't see them that way.  This is a very dumb scripting language.  The
message just is, and I don't see any reason it needs to be passed around.

> >> I'd also like to see some discussion of rules on outgoing mail...
> >I think this is out of scope of what I'd intended.  I also belive delayed
> >mail is best done with a cron job.  Can you be more specific?
> 
> I would not want to tell a novice user how to delay mail using a cron job! My
> thought was that a client could add a line to the message such as:
> x-delay-mail: blah blah
> And the SMTP server would not forward the mail until the specified time was
> reached. Outgoing rules could also allow a company could forward a copy all
> messages that employees send to the competitor's domain to the office manager, etc.

This is seperate from filtering.  I also don't believe SMTP is the right
place to implement such a delay.  If a novice user really needs delayed
email, it can be implemented with suitable use of the sleep system call on a
reasonable system in something far more user-friendly than cron or at.

-- 
                                           Tim Showalter [email-masked]